export declare enum Operator {
    COMMON_EQUALITY = 0,
    COMMON_INEQUALITY = 1,
    COMMON_BELONG = 2,
    STRING_CONTAIN = 3,
    STRING_REGEX = 4,
    NUMBER_GT = 5,
    NUMBER_GTE = 6,
    NUMBER_LT = 7,
    NUMBER_LTE = 8,
    NUMBER_BETWEEN = 9
}
export declare type QueryOperator = {
    operator: Operator;
    value: any;
};
export declare const eq: (value?: string | number | boolean | undefined) => QueryOperator;
export declare const neq: (value?: string | number | boolean | undefined) => QueryOperator;
export declare const belongs: <T>(values?: T[] | undefined) => QueryOperator;
export declare const contains: (value?: string | undefined) => QueryOperator;
export declare const regex: (value?: string | undefined) => QueryOperator;
export declare const gt: (value?: number | undefined) => QueryOperator;
export declare const gte: (value?: number | undefined) => QueryOperator;
export declare const lt: (value?: number | undefined) => QueryOperator;
export declare const lte: (value?: number | undefined) => QueryOperator;
export declare const bwi: (start: number, end: number) => QueryOperator;
//# sourceMappingURL=QueryOperator.d.ts.map